Subject: RE: FW: [AAA-WG]: questions on the Diameter base protocol

From: Yiwen Jiang <[email-masked]>
Date: Fri, 27 Apr 2001 10:48:48 -0400

Hi Pat,

> If a session-id is constructed the way that the base protocol 
> suggests, then
> duplicate session identifiers would not occur. Perhaps I am 
> mis-interpreting
> your question, so if I haven't answered it, please try again.
I re-read the section, and understand now. Thanks.

> > Another stupid question I have, is regarding the peer connection
> > establishment: What if peer B receives a DRI message from 
> peer A which does
> > not specify any extensions that are supported by peer B? 
> (For example, say
> > peer A supports only NASREQ extension, and B supports only Mobile-IP
> > extension.) Does peer B send a MRI message back to peer A? 
> If so, it is not
> > listed under section 10.1 for MRI descriptions (as far as I 
> can see) What is
> > the correct behaviour for this situation, and where would I find it
> > described in the I-D? 
> 
> As -02 stands, it *could* be because Peer A is simply asking 
> for accounting
> messages, which do not have an extension. However, if the 
> proposal that I
> sent out yesterday goes through, which introduced a new AVP in the
> capabilities exchange, specifically for accounting, then this 
> error could
> occur. Perhaps then some text would be required in the base spec that
> states that the expected behavior should be.
Hmm.. I'm not sure if it is only the case with accounting extension...

Say I have a peer A that supports only the NASREQ extension, and peer B
supports only the mobile-ip extension (Not accounting related at all). If
for some reason, peer A wishes to establish a peer connection with B. And
during the capability exchange using DRI message, they both find out that
there is no common extension supported by both peer. What do A and B do? Do
they send MRI message to each other about this? If so, there is no
mentioning of such message/AVP in the description of the MRI section 10.1.
If not, what do they do?

Thanks!

---

From: Pat Calhoun <[email-masked]>
Date: Fri, 27 Apr 2001 09:06:20 -0700

> mentioning of such message/AVP in the description of the MRI section 10.1.

I agree that such text must be added to the draft to ensure that consistent
behavior will occur.

PatC